(function (cjs, an) {

var p; // shortcut to reference prototypes
var lib={};var ss={};var img={};
lib.ssMetadata = [
		{name:"photo_syaburi_atlas_1", frames: [[0,1846,652,90],[0,0,1301,921],[0,923,1301,921]]},
		{name:"photo_syaburi_atlas_2", frames: [[0,0,1301,921],[0,923,1301,921]]},
		{name:"photo_syaburi_atlas_3", frames: [[0,0,1301,921],[0,923,1301,921]]},
		{name:"photo_syaburi_atlas_4", frames: [[0,0,1301,921],[0,923,1301,921]]},
		{name:"photo_syaburi_atlas_5", frames: [[0,0,1301,921],[0,923,1301,921]]},
		{name:"photo_syaburi_atlas_6", frames: [[0,0,1301,921],[0,923,1301,921]]},
		{name:"photo_syaburi_atlas_7", frames: [[0,0,1301,921],[0,923,1301,921]]},
		{name:"photo_syaburi_atlas_8", frames: [[0,0,1301,921],[0,923,1301,921]]},
		{name:"photo_syaburi_atlas_9", frames: [[0,0,1301,921],[0,923,1301,921]]}
];


(lib.AnMovieClip = function(){
	this.actionFrames = [];
	this.ignorePause = false;
	this.currentSoundStreamInMovieclip;
	this.soundStreamDuration = new Map();
	this.streamSoundSymbolsList = [];

	this.gotoAndPlayForStreamSoundSync = function(positionOrLabel){
		cjs.MovieClip.prototype.gotoAndPlay.call(this,positionOrLabel);
	}
	this.gotoAndPlay = function(positionOrLabel){
		this.clearAllSoundStreams();
		var pos = this.timeline.resolve(positionOrLabel);
		if (pos != null) { this.startStreamSoundsForTargetedFrame(pos); }
		cjs.MovieClip.prototype.gotoAndPlay.call(this,positionOrLabel);
	}
	this.play = function(){
		this.clearAllSoundStreams();
		this.startStreamSoundsForTargetedFrame(this.currentFrame);
		cjs.MovieClip.prototype.play.call(this);
	}
	this.gotoAndStop = function(positionOrLabel){
		cjs.MovieClip.prototype.gotoAndStop.call(this,positionOrLabel);
		this.clearAllSoundStreams();
	}
	this.stop = function(){
		cjs.MovieClip.prototype.stop.call(this);
		this.clearAllSoundStreams();
	}
	this.startStreamSoundsForTargetedFrame = function(targetFrame){
		for(var index=0; index<this.streamSoundSymbolsList.length; index++){
			if(index <= targetFrame && this.streamSoundSymbolsList[index] != undefined){
				for(var i=0; i<this.streamSoundSymbolsList[index].length; i++){
					var sound = this.streamSoundSymbolsList[index][i];
					if(sound.endFrame > targetFrame){
						var targetPosition = Math.abs((((targetFrame - sound.startFrame)/lib.properties.fps) * 1000));
						var instance = playSound(sound.id);
						var remainingLoop = 0;
						if(sound.offset){
							targetPosition = targetPosition + sound.offset;
						}
						else if(sound.loop > 1){
							var loop = targetPosition /instance.duration;
							remainingLoop = Math.floor(sound.loop - loop);
							if(targetPosition == 0){ remainingLoop -= 1; }
							targetPosition = targetPosition % instance.duration;
						}
						instance.loop = remainingLoop;
						instance.position = Math.round(targetPosition);
						this.InsertIntoSoundStreamData(instance, sound.startFrame, sound.endFrame, sound.loop , sound.offset);
					}
				}
			}
		}
	}
	this.InsertIntoSoundStreamData = function(soundInstance, startIndex, endIndex, loopValue, offsetValue){ 
 		this.soundStreamDuration.set({instance:soundInstance}, {start: startIndex, end:endIndex, loop:loopValue, offset:offsetValue});
	}
	this.clearAllSoundStreams = function(){
		this.soundStreamDuration.forEach(function(value,key){
			key.instance.stop();
		});
 		this.soundStreamDuration.clear();
		this.currentSoundStreamInMovieclip = undefined;
	}
	this.stopSoundStreams = function(currentFrame){
		if(this.soundStreamDuration.size > 0){
			var _this = this;
			this.soundStreamDuration.forEach(function(value,key,arr){
				if((value.end) == currentFrame){
					key.instance.stop();
					if(_this.currentSoundStreamInMovieclip == key) { _this.currentSoundStreamInMovieclip = undefined; }
					arr.delete(key);
				}
			});
		}
	}

	this.computeCurrentSoundStreamInstance = function(currentFrame){
		if(this.currentSoundStreamInMovieclip == undefined){
			var _this = this;
			if(this.soundStreamDuration.size > 0){
				var maxDuration = 0;
				this.soundStreamDuration.forEach(function(value,key){
					if(value.end > maxDuration){
						maxDuration = value.end;
						_this.currentSoundStreamInMovieclip = key;
					}
				});
			}
		}
	}
	this.getDesiredFrame = function(currentFrame, calculatedDesiredFrame){
		for(var frameIndex in this.actionFrames){
			if((frameIndex > currentFrame) && (frameIndex < calculatedDesiredFrame)){
				return frameIndex;
			}
		}
		return calculatedDesiredFrame;
	}

	this.syncStreamSounds = function(){
		this.stopSoundStreams(this.currentFrame);
		this.computeCurrentSoundStreamInstance(this.currentFrame);
		if(this.currentSoundStreamInMovieclip != undefined){
			var soundInstance = this.currentSoundStreamInMovieclip.instance;
			if(soundInstance.position != 0){
				var soundValue = this.soundStreamDuration.get(this.currentSoundStreamInMovieclip);
				var soundPosition = (soundValue.offset?(soundInstance.position - soundValue.offset): soundInstance.position);
				var calculatedDesiredFrame = (soundValue.start)+((soundPosition/1000) * lib.properties.fps);
				if(soundValue.loop > 1){
					calculatedDesiredFrame +=(((((soundValue.loop - soundInstance.loop -1)*soundInstance.duration)) / 1000) * lib.properties.fps);
				}
				calculatedDesiredFrame = Math.floor(calculatedDesiredFrame);
				var deltaFrame = calculatedDesiredFrame - this.currentFrame;
				if((deltaFrame >= 0) && this.ignorePause){
					cjs.MovieClip.prototype.play.call(this);
					this.ignorePause = false;
				}
				else if(deltaFrame >= 2){
					this.gotoAndPlayForStreamSoundSync(this.getDesiredFrame(this.currentFrame,calculatedDesiredFrame));
				}
				else if(deltaFrame <= -2){
					cjs.MovieClip.prototype.stop.call(this);
					this.ignorePause = true;
				}
			}
		}
	}
}).prototype = p = new cjs.MovieClip();
// symbols:



(lib.CachedBmp_1 = function() {
	this.initialize(ss["photo_syaburi_atlas_1"]);
	this.gotoAndStop(0);
}).prototype = p = new cjs.Sprite();



(lib.psuckerb01 = function() {
	this.initialize(ss["photo_syaburi_atlas_9"]);
	this.gotoAndStop(0);
}).prototype = p = new cjs.Sprite();



(lib.psuckerb02 = function() {
	this.initialize(ss["photo_syaburi_atlas_9"]);
	this.gotoAndStop(1);
}).prototype = p = new cjs.Sprite();



(lib.psuckerb03 = function() {
	this.initialize(ss["photo_syaburi_atlas_8"]);
	this.gotoAndStop(0);
}).prototype = p = new cjs.Sprite();



(lib.psuckerb04 = function() {
	this.initialize(ss["photo_syaburi_atlas_8"]);
	this.gotoAndStop(1);
}).prototype = p = new cjs.Sprite();



(lib.psuckerb05 = function() {
	this.initialize(ss["photo_syaburi_atlas_7"]);
	this.gotoAndStop(0);
}).prototype = p = new cjs.Sprite();



(lib.psuckerb06 = function() {
	this.initialize(ss["photo_syaburi_atlas_7"]);
	this.gotoAndStop(1);
}).prototype = p = new cjs.Sprite();



(lib.psuckerb07 = function() {
	this.initialize(ss["photo_syaburi_atlas_6"]);
	this.gotoAndStop(0);
}).prototype = p = new cjs.Sprite();



(lib.psuckerb08 = function() {
	this.initialize(ss["photo_syaburi_atlas_6"]);
	this.gotoAndStop(1);
}).prototype = p = new cjs.Sprite();



(lib.psuckerb09 = function() {
	this.initialize(ss["photo_syaburi_atlas_5"]);
	this.gotoAndStop(0);
}).prototype = p = new cjs.Sprite();



(lib.psuckerb10 = function() {
	this.initialize(ss["photo_syaburi_atlas_5"]);
	this.gotoAndStop(1);
}).prototype = p = new cjs.Sprite();



(lib.psuckerb11 = function() {
	this.initialize(ss["photo_syaburi_atlas_4"]);
	this.gotoAndStop(0);
}).prototype = p = new cjs.Sprite();



(lib.psuckerb12 = function() {
	this.initialize(ss["photo_syaburi_atlas_4"]);
	this.gotoAndStop(1);
}).prototype = p = new cjs.Sprite();



(lib.psuckerb13 = function() {
	this.initialize(ss["photo_syaburi_atlas_3"]);
	this.gotoAndStop(0);
}).prototype = p = new cjs.Sprite();



(lib.psuckerb14 = function() {
	this.initialize(ss["photo_syaburi_atlas_3"]);
	this.gotoAndStop(1);
}).prototype = p = new cjs.Sprite();



(lib.psuckerb15 = function() {
	this.initialize(ss["photo_syaburi_atlas_2"]);
	this.gotoAndStop(0);
}).prototype = p = new cjs.Sprite();



(lib.psuckerb16 = function() {
	this.initialize(ss["photo_syaburi_atlas_2"]);
	this.gotoAndStop(1);
}).prototype = p = new cjs.Sprite();



(lib.psuckerb17 = function() {
	this.initialize(ss["photo_syaburi_atlas_1"]);
	this.gotoAndStop(1);
}).prototype = p = new cjs.Sprite();



(lib.psuckerb18 = function() {
	this.initialize(ss["photo_syaburi_atlas_1"]);
	this.gotoAndStop(2);
}).prototype = p = new cjs.Sprite();
// helper functions:

function mc_symbol_clone() {
	var clone = this._cloneProps(new this.constructor(this.mode, this.startPosition, this.loop, this.reversed));
	clone.gotoAndStop(this.currentFrame);
	clone.paused = this.paused;
	clone.framerate = this.framerate;
	return clone;
}

function getMCSymbolPrototype(symbol, nominalBounds, frameBounds) {
	var prototype = cjs.extend(symbol, cjs.MovieClip);
	prototype.clone = mc_symbol_clone;
	prototype.nominalBounds = nominalBounds;
	prototype.frameBounds = frameBounds;
	return prototype;
	}


(lib.シンボル1 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// レイヤー_1
	this.instance = new lib.psuckerb10();
	this.instance.setTransform(-650.5,-460.5);

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	this._renderFirstFrame();

}).prototype = getMCSymbolPrototype(lib.シンボル1, new cjs.Rectangle(-650.5,-460.5,1301,921), null);


// stage content:
(lib.photosyaburi = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	this.actionFrames = [0];
	this.streamSoundSymbolsList[0] = [{id:"SyaburuC",startFrame:0,endFrame:96,loop:1,offset:0},{id:"syaburi",startFrame:0,endFrame:96,loop:1,offset:0}];
	// timeline functions:
	this.frame_0 = function() {
		this.clearAllSoundStreams();
		 
		var soundInstance = playSound("syaburi",0);
		this.InsertIntoSoundStreamData(soundInstance,0,96,1);
		var soundInstance = playSound("SyaburuC",0);
		this.InsertIntoSoundStreamData(soundInstance,0,96,1);
	}

	// actions tween:
	this.timeline.addTween(cjs.Tween.get(this).call(this.frame_0).wait(96));

	// レイヤー_4
	this.instance = new lib.CachedBmp_1();
	this.instance.setTransform(0,917.1,0.5,0.5);

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(96));

	// レイヤー_1
	this.instance_1 = new lib.psuckerb18();

	this.instance_2 = new lib.psuckerb18();
	this.instance_2.setTransform(27,110,0.75,0.75);

	this.instance_3 = new lib.psuckerb17();

	this.instance_4 = new lib.psuckerb17();
	this.instance_4.setTransform(27,110,0.75,0.75);

	this.instance_5 = new lib.psuckerb16();

	this.instance_6 = new lib.psuckerb16();
	this.instance_6.setTransform(27,110,0.75,0.75);

	this.instance_7 = new lib.psuckerb15();

	this.instance_8 = new lib.psuckerb15();
	this.instance_8.setTransform(27,110,0.75,0.75);

	this.instance_9 = new lib.psuckerb14();

	this.instance_10 = new lib.psuckerb14();
	this.instance_10.setTransform(27,110,0.75,0.75);

	this.instance_11 = new lib.psuckerb13();

	this.instance_12 = new lib.psuckerb13();
	this.instance_12.setTransform(27,110,0.75,0.75);

	this.instance_13 = new lib.psuckerb12();

	this.instance_14 = new lib.psuckerb12();
	this.instance_14.setTransform(27,110,0.75,0.75);

	this.instance_15 = new lib.psuckerb11();

	this.instance_16 = new lib.psuckerb11();
	this.instance_16.setTransform(27,110,0.75,0.75);

	this.instance_17 = new lib.psuckerb10();

	this.instance_18 = new lib.シンボル1();
	this.instance_18.setTransform(515,455,0.75,0.75);

	this.instance_19 = new lib.psuckerb09();

	this.instance_20 = new lib.psuckerb09();
	this.instance_20.setTransform(27,110,0.75,0.75);

	this.instance_21 = new lib.psuckerb08();

	this.instance_22 = new lib.psuckerb08();
	this.instance_22.setTransform(27,110,0.75,0.75);

	this.instance_23 = new lib.psuckerb07();

	this.instance_24 = new lib.psuckerb07();
	this.instance_24.setTransform(27,110,0.75,0.75);

	this.instance_25 = new lib.psuckerb06();

	this.instance_26 = new lib.psuckerb06();
	this.instance_26.setTransform(27,110,0.75,0.75);

	this.instance_27 = new lib.psuckerb05();

	this.instance_28 = new lib.psuckerb05();
	this.instance_28.setTransform(27,110,0.75,0.75);

	this.instance_29 = new lib.psuckerb04();

	this.instance_30 = new lib.psuckerb04();
	this.instance_30.setTransform(27,110,0.75,0.75);

	this.instance_31 = new lib.psuckerb03();

	this.instance_32 = new lib.psuckerb03();
	this.instance_32.setTransform(27,110,0.75,0.75);

	this.instance_33 = new lib.psuckerb02();

	this.instance_34 = new lib.psuckerb02();
	this.instance_34.setTransform(27,110,0.75,0.75);

	this.instance_35 = new lib.psuckerb01();

	this.instance_36 = new lib.psuckerb01();
	this.instance_36.setTransform(27,110,0.75,0.75);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.instance_2},{t:this.instance_1}]}).to({state:[{t:this.instance_4},{t:this.instance_3}]},2).to({state:[{t:this.instance_6},{t:this.instance_5}]},2).to({state:[{t:this.instance_8},{t:this.instance_7}]},2).to({state:[{t:this.instance_10},{t:this.instance_9}]},2).to({state:[{t:this.instance_12},{t:this.instance_11}]},3).to({state:[{t:this.instance_14},{t:this.instance_13}]},3).to({state:[{t:this.instance_16},{t:this.instance_15}]},2).to({state:[{t:this.instance_18},{t:this.instance_17}]},2).to({state:[{t:this.instance_20},{t:this.instance_19}]},2).to({state:[{t:this.instance_22},{t:this.instance_21}]},1).to({state:[{t:this.instance_24},{t:this.instance_23}]},1).to({state:[{t:this.instance_26},{t:this.instance_25}]},1).to({state:[{t:this.instance_28},{t:this.instance_27}]},1).to({state:[{t:this.instance_30},{t:this.instance_29}]},1).to({state:[{t:this.instance_32},{t:this.instance_31}]},1).to({state:[{t:this.instance_34},{t:this.instance_33}]},2).to({state:[{t:this.instance_36},{t:this.instance_35}]},2).to({state:[{t:this.instance_2},{t:this.instance_1}]},2).to({state:[{t:this.instance_4},{t:this.instance_3}]},2).to({state:[{t:this.instance_6},{t:this.instance_5}]},2).to({state:[{t:this.instance_8},{t:this.instance_7}]},2).to({state:[{t:this.instance_10},{t:this.instance_9}]},2).to({state:[{t:this.instance_12},{t:this.instance_11}]},3).to({state:[{t:this.instance_14},{t:this.instance_13}]},3).to({state:[{t:this.instance_16},{t:this.instance_15}]},2).to({state:[{t:this.instance_18},{t:this.instance_17}]},2).to({state:[{t:this.instance_20},{t:this.instance_19}]},2).to({state:[{t:this.instance_22},{t:this.instance_21}]},1).to({state:[{t:this.instance_24},{t:this.instance_23}]},1).to({state:[{t:this.instance_26},{t:this.instance_25}]},1).to({state:[{t:this.instance_28},{t:this.instance_27}]},1).to({state:[{t:this.instance_30},{t:this.instance_29}]},1).to({state:[{t:this.instance_32},{t:this.instance_31}]},1).to({state:[{t:this.instance_34},{t:this.instance_33}]},2).to({state:[{t:this.instance_36},{t:this.instance_35}]},2).to({state:[{t:this.instance_2},{t:this.instance_1}]},2).to({state:[{t:this.instance_4},{t:this.instance_3}]},2).to({state:[{t:this.instance_6},{t:this.instance_5}]},2).to({state:[{t:this.instance_8},{t:this.instance_7}]},2).to({state:[{t:this.instance_10},{t:this.instance_9}]},2).to({state:[{t:this.instance_12},{t:this.instance_11}]},3).to({state:[{t:this.instance_14},{t:this.instance_13}]},3).to({state:[{t:this.instance_16},{t:this.instance_15}]},2).to({state:[{t:this.instance_18},{t:this.instance_17}]},2).to({state:[{t:this.instance_20},{t:this.instance_19}]},2).to({state:[{t:this.instance_22},{t:this.instance_21}]},1).to({state:[{t:this.instance_24},{t:this.instance_23}]},1).to({state:[{t:this.instance_26},{t:this.instance_25}]},1).to({state:[{t:this.instance_28},{t:this.instance_27}]},1).to({state:[{t:this.instance_30},{t:this.instance_29}]},1).to({state:[{t:this.instance_32},{t:this.instance_31}]},1).to({state:[{t:this.instance_34},{t:this.instance_33}]},2).to({state:[{t:this.instance_36},{t:this.instance_35}]},2).wait(2));

	this._renderFirstFrame();

}).prototype = p = new lib.AnMovieClip();
p.nominalBounds = new cjs.Rectangle(650.5,481,650.5,481.1);
// library properties:
lib.properties = {
	id: 'EBBBD8F9FEB56C40A43681E561750AF5',
	width: 1301,
	height: 962,
	fps: 24,
	color: "#000000",
	opacity: 1.00,
	manifest: [
		{src:"images/photo_syaburi_atlas_1.png", id:"photo_syaburi_atlas_1"},
		{src:"images/photo_syaburi_atlas_2.png", id:"photo_syaburi_atlas_2"},
		{src:"images/photo_syaburi_atlas_3.png", id:"photo_syaburi_atlas_3"},
		{src:"images/photo_syaburi_atlas_4.png", id:"photo_syaburi_atlas_4"},
		{src:"images/photo_syaburi_atlas_5.png", id:"photo_syaburi_atlas_5"},
		{src:"images/photo_syaburi_atlas_6.png", id:"photo_syaburi_atlas_6"},
		{src:"images/photo_syaburi_atlas_7.png", id:"photo_syaburi_atlas_7"},
		{src:"images/photo_syaburi_atlas_8.png", id:"photo_syaburi_atlas_8"},
		{src:"images/photo_syaburi_atlas_9.png", id:"photo_syaburi_atlas_9"},
		{src:"sounds/syaburi.mp3", id:"syaburi"},
		{src:"sounds/SyaburuC.mp3", id:"SyaburuC"}
	],
	preloads: []
};



// bootstrap callback support:

(lib.Stage = function(canvas) {
	createjs.Stage.call(this, canvas);
}).prototype = p = new createjs.Stage();

p.setAutoPlay = function(autoPlay) {
	this.tickEnabled = autoPlay;
}
p.play = function() { this.tickEnabled = true; this.getChildAt(0).gotoAndPlay(this.getTimelinePosition()) }
p.stop = function(ms) { if(ms) this.seek(ms); this.tickEnabled = false; }
p.seek = function(ms) { this.tickEnabled = true; this.getChildAt(0).gotoAndStop(lib.properties.fps * ms / 1000); }
p.getDuration = function() { return this.getChildAt(0).totalFrames / lib.properties.fps * 1000; }

p.getTimelinePosition = function() { return this.getChildAt(0).currentFrame / lib.properties.fps * 1000; }

an.bootcompsLoaded = an.bootcompsLoaded || [];
if(!an.bootstrapListeners) {
	an.bootstrapListeners=[];
}

an.bootstrapCallback=function(fnCallback) {
	an.bootstrapListeners.push(fnCallback);
	if(an.bootcompsLoaded.length > 0) {
		for(var i=0; i<an.bootcompsLoaded.length; ++i) {
			fnCallback(an.bootcompsLoaded[i]);
		}
	}
};

an.compositions = an.compositions || {};
an.compositions['EBBBD8F9FEB56C40A43681E561750AF5'] = {
	getStage: function() { return exportRoot.stage; },
	getLibrary: function() { return lib; },
	getSpriteSheet: function() { return ss; },
	getImages: function() { return img; }
};

an.compositionLoaded = function(id) {
	an.bootcompsLoaded.push(id);
	for(var j=0; j<an.bootstrapListeners.length; j++) {
		an.bootstrapListeners[j](id);
	}
}

an.getComposition = function(id) {
	return an.compositions[id];
}


an.makeResponsive = function(isResp, respDim, isScale, scaleType, domContainers) {		
	var lastW, lastH, lastS=1;		
	window.addEventListener('resize', resizeCanvas);		
	resizeCanvas();		
	function resizeCanvas() {			
		var w = lib.properties.width, h = lib.properties.height;			
		var iw = window.innerWidth, ih=window.innerHeight;			
		var pRatio = window.devicePixelRatio || 1, xRatio=iw/w, yRatio=ih/h, sRatio=1;			
		if(isResp) {                
			if((respDim=='width'&&lastW==iw) || (respDim=='height'&&lastH==ih)) {                    
				sRatio = lastS;                
			}				
			else if(!isScale) {					
				if(iw<w || ih<h)						
					sRatio = Math.min(xRatio, yRatio);				
			}				
			else if(scaleType==1) {					
				sRatio = Math.min(xRatio, yRatio);				
			}				
			else if(scaleType==2) {					
				sRatio = Math.max(xRatio, yRatio);				
			}			
		}
		domContainers[0].width = w * pRatio * sRatio;			
		domContainers[0].height = h * pRatio * sRatio;
		domContainers.forEach(function(container) {				
			container.style.width = w * sRatio + 'px';				
			container.style.height = h * sRatio + 'px';			
		});
		stage.scaleX = pRatio*sRatio;			
		stage.scaleY = pRatio*sRatio;
		lastW = iw; lastH = ih; lastS = sRatio;            
		stage.tickOnUpdate = false;            
		stage.update();            
		stage.tickOnUpdate = true;		
	}
}
an.handleSoundStreamOnTick = function(event) {
	if(!event.paused){
		var stageChild = stage.getChildAt(0);
		if(!stageChild.paused || stageChild.ignorePause){
			stageChild.syncStreamSounds();
		}
	}
}
an.handleFilterCache = function(event) {
	if(!event.paused){
		var target = event.target;
		if(target){
			if(target.filterCacheList){
				for(var index = 0; index < target.filterCacheList.length ; index++){
					var cacheInst = target.filterCacheList[index];
					if((cacheInst.startFrame <= target.currentFrame) && (target.currentFrame <= cacheInst.endFrame)){
						cacheInst.instance.cache(cacheInst.x, cacheInst.y, cacheInst.w, cacheInst.h);
					}
				}
			}
		}
	}
}


})(createjs = createjs||{}, AdobeAn = AdobeAn||{});
var createjs, AdobeAn;